Themes: Essential

theme_essential
Maintained by Gareth J BarnardGareth J Barnard
Essential is a clean and customizable theme. Essential is tested and tried by thousands of users, and ranks number one by site usage for all available third party themes.
8772 sites
4k downloads
355 fans

The "Essential" Moodle Theme
=========================

Please note: Essential has reached 'End of life' at Moodle 3.6 - last version for.  Please read moodle.org/mod/forum/discuss.php?d=385903.

With 2.5 now released Julian thought it time to take the opportunity to build a new theme that would push the new theme engine to it's limits a bit.  With that in mind he introduced the new "Essential" theme.  Now Julian has left us for Canvassian adventures, David and Gareth took over development and maintenance.  And now David has left for pastures new, Gareth continues to maintain and make improvements.

The idea of this theme is to make the site look as little like Moodle as possible. In this specific instance, it would be used on sites where Moodle would potentially serve as a company homepage rather than just a course list.

Cool things to know about the theme.

  • It attempts to load as many as possible icons from a font.
  • Most of what you think are "graphics" are actually the Font Awesome font (fontawesome.io).
  • The slider on the front page is completely customisable through theme settings.
  • I am really trying to push what Bootstrap (twitter.github.io/bootstrap/) Grids can do.  As such the theme is fully responsive.
  • The footer is all custom Moodle regions.  This means blocks can be added.
  • The theme can use Google web fonts (fonts.google.com) to give it that extra bit of shazam!
  • Social network icons appear at the top of the page dynamically based on theme settings.
  • The entire colour scheme can be modified with theme settings.

Support:

The theme comes with NO support.  Please see the 'Support' section in 'README.md' file that comes with the theme.  This is because the theme is complex and I regret that I don't have the time / resources to freely assist with questions pertaining to specific enhancements / changes / knowledge improvement.

I will investigate genuine bugs and issue fixes in a timescale set by myself.  I will only explain / report my findings at my own discretion.  You MUST state the Essential and Moodle versions as I'll only ask for them and that delays time - in software bug fixing there is no 'latest' version as your 'latest' could be different to my 'latest', so please don't use that word or similar like 'current'.

Reporting issues:

Please read the 'Reporting issues' section in 'README.md' file that comes with the theme before posting / contacting me.  If there is any missing information then I'll only ask for it which will delay you getting a solution to your problem.

Video Promo:


Properties:


In versions 2.9.1.22, 3.0.1.15, 3.1.1.7 and above.


Versions:

Please note that previously the version for Moodle 2.6 was 2.7.x as well, but since these versions are now separated we also lowered the displayed version number.
 

Moodle Version

Essential Version

Status

2.5 2.5.8 Last release for M2.5
2.6 2.6.11 Last release for M2.6
2.7 2.7.9.5.3 Last release for M2.7
2.8 2.8.1.11 Last release for M2.8
2.9 2.9.1.24
Last release for M2.9
3.0 3.0.1.17 Last release for M3.0
3.1 3.1.1.12 Last release for M3.1
3.2 3.2.1.5 Last release for M3.2
3.3 3.3.1.5 Last release for M3.3
3.4 3.4.1.5 Last release for M3.4
3.5 3.5.1.5 Last release for M3.5
3.6 3.6.1.0 Last release for M3.6
3.7+ End of life Please see: moodle.org/mod/forum/discuss.php?d=385903
 

Potential privacy issues

Google CDN fonts can be set to be used.

Screenshots

Screenshot #0
Screenshot #1

Contributors

Gareth J Barnard
Gareth J Barnard (Lead maintainer)
Julian Ridden
Julian Ridden: Original author
David
David Bezemer: Contributor
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Gareth J Barnard
    Wed, Oct 3, 2018, 4:31 AM
    Dear Mike,

    ? Essential has all the functionality of the Clean theme and more. Which 'Tags' page do you mean? I can only find the 'Manage tags' page in the Clean theme in the same way as can be accessed in Essential. Please do explain with screen shots and version numbers on the Themes forum: https://moodle.org/mod/forum/view.php?id=46.

    What other of the 'many things' are hidden as I'm not aware of it hiding anything.

    Gareth
  • Picture of Raymond Frangie
    Mon, Nov 19, 2018, 8:40 AM
    Hi Gareth,

    Can you please advise when your theme will support the new Login Token feature as introduced in 3.5.3 (https://docs.moodle.org/dev/Login_token)

    We've had to disable this feature to continue using your theme.

    Appreciate the update.

    Cheers,
    Ray
  • Gareth J Barnard
    Mon, Nov 19, 2018, 6:44 PM
    Dear Ray,

    I don't know why you keep asking this (https://github.com/gjb2048/moodle-theme_essential/issues/880) as the theme ALREADY SUPPORTS THE LOGIN TOKEN!!!!!

    I've already checked the Moodle 3.5 version and have just double checked the versions for Moodle 3.3 and 3.4. Any version less than that is unsupported but I doubt that there would be a problem due to the nature of the issue.

    Please post on the issue clear evidence that it is actually the Essential theme with the issue.

    Gareth
  • Picture of waldek koran
    Fri, Jan 4, 2019, 9:22 PM
    Hello Gareth

    The theme is outstanding Yes however I'm having some difficulties changing the dropdown menu. Is there any hope for little customization? Say just changing the words in the menu?
  • Gareth J Barnard
    Fri, Jan 4, 2019, 11:30 PM
    Dear Waldek,

    The Essential theme comes with NO SUPPORT. Please see the Readme file for details.

    Gareth
  • Picture of Martin Greenaway
    Sat, Jan 5, 2019, 2:32 AM
    Hi Waldek - if you want the functions to remain the same but change the names of them, then you can do this in the Language Customisation screen - search for the text across all files and you should find the menu entries in there. (https://docs.moodle.org/en/Language_customization).

    If you want to change what the items in the menu actually do as well, (remove/add items) then this will definitely be code changes, and I think this is mostly going to be in the file core_renderer.php (which lives in either the renderers directory or the output directory depending on the version you're using). I'd not be too keen on diving in there personally, because it's pretty complex. You may be able to add additional navigation options to the top of the page using the "Additional HTML" section - not sure if this will help?
  • Gareth J Barnard
    Wed, Jan 30, 2019, 12:26 AM
    Dear Step ByStep,

    I'm sorry about the situation, but the theme works and I suspect you've done something wrong. Did you try on a test server first? However, the Essential theme comes with NO SUPPORT. Please see the Readme file for details.

    Kind regards,

    Gareth
  • Gareth J Barnard
    Thu, Jan 31, 2019, 9:06 PM
    Dear Akash,

    The Essential theme comes with NO SUPPORT. Please see the Readme file for details.

    Gareth
  • Picture of Valesa Clouse
    Fri, Mar 29, 2019, 12:00 AM
    Hello Gareth,
    Do you plan to update the theme to work with the new Moodle 3.7 update to newer bootstrap?
  • Gareth J Barnard
    Fri, Mar 29, 2019, 12:04 AM
    Dear Valesa,

    I'll be making an announcement about this in the future.

    Gareth
  • Picture of Jimmy Tellez Sandoval
    Tue, May 21, 2019, 10:01 PM
    I'm using Essential Release 3.1.1.12 (Build: 2016061721) with Moodle 3.1.4 (Build: 20170109). I have a logo image that is 587px wide by 63px high. The logo setting in Essential is 587px x 63px. The problem is that the logo image is not responsive. When a mobile device is used the logo container seems to resize, but the image does not. Also no resizing takes place when I change my browser size here is the link: capacitaciones.sinartdigital . com
  • Gareth J Barnard
    Tue, May 21, 2019, 11:21 PM
    Dear Jimmy,

    I can no longer run Moodle 3.1 as I've upgraded my Moodle's and as a consequence had to update the underlying PHP version which is not supported. Therefore I'm not in a position to easily help you, sorry.

    You could always ask on the theme's forum if others are still running Essential on M3.1 and they can help.

    Kind regards,

    Gareth
  • Picture of A Guy
    Tue, Aug 13, 2019, 7:03 AM
    We have had Essential for a while. But we just upgraded the site to Moodle 3.7. I upgraded Essential to the latest that you have (3.6). But the upgrade terminates without completing as Moodle says it cannot find the dependency--theme_bootstrapbase--which is true given Moodle 3.7 does not include bootstrapbase. I cannot find it in the plugins directory. I tried using a version of theme_bootstrapbase from last Fall but it still didn't work. Moodle/Essential wants "theme_bootstrapbase (2018120300)". So what does one do? Just not use Essential beyond 3.6? Thanks
  • Picture of A Guy
    Tue, Aug 13, 2019, 7:05 AM
    We have had Essential for a while. But we just upgraded the site to Moodle 3.7. I upgraded Essential to the latest that you have (3.6). But the upgrade terminates without completing as Moodle says it cannot find the dependency--theme_bootstrapbase--which is true given Moodle 3.7 does not include bootstrapbase. I cannot find it in the Plugins directory. I tried using a version of theme_bootstrapbase from last Fall but it still didn't work. Moodle/Essential wants "theme_bootstrapbase (2018120300)". So what does one do? Just not use Essential beyond 3.6? Thanks
  • Gareth J Barnard
    Tue, Aug 13, 2019, 4:29 PM
    Hi A Guy,

    In essence, yes. Osvaldo has made it work by updating Bootstrapbase from M3.6. So for more information about that and why I've discontinued the theme, please see: https://moodle.org/mod/forum/discuss.php?d=385903.

    Gareth
Please login to post comments